#pragma once

#include <vector>
#include "mathutils.h"

namespace beat_utils
{
    struct BeatInfo
    {
        long double rate_per_microsecond = 0.;
        microsec average_interval = 0;
    };

    BeatInfo calculateBeatRateInfo(const std::vector<microsec>& approximate_deltas);
}
